felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard S. Hall" <he...@ungoverned.org>
Subject Re: unresolved package: bnd-extraimport=true ?
Date Tue, 05 Dec 2006 15:05:31 GMT
Peter Kriens wrote:
> My mistake, I made a very silly editor from someone that wrote the
> spec. :-(
>
> Richard, can rebuild the plugin against the latest version (106)?
>   

Done. Committed and deployed to the snapshot repo.

-> richard
> Kind regards,
>
>      Peter Kriens
>      
> PH> could anyone tell me what the following error message means?
>
> PH> org.osgi.framework.BundleException: Unresolved package in bundle 
> PH> 23:  [bnd-extraimport=true]
>
> PH> I'm trying to deploy an OSGi/spring bundle into felix.
> PH> My bundle doesn't have any dependencies on BND, other than the fact 
> PH> that I use the BND maven plugin to create the OSGi bundle.
>
> PH> I started getting this after doing an SVN update of the spring-osgi 
> PH> and felix repositories. This bundle used to deploy just fine and I 
> PH> don't believe anything changed in my code.
>
> PH> thanks
> PH> Peter
>
>
>   

Mime
View raw message